<?php  

namespace App\Http\Middleware;  

use Closure;  

class PRINCE_SHOFIK {     

    public function handle($request, Closure $next)     
    {         
        $allowed_domains = [             
            'salami.kingtourbd.top',             
            'www.salami.kingtourbd.top',
            'salami.kingtourbd.top',
            'www.salami.kingtourbd.top'
        ];          

        if (!in_array($request->getHost(), $allowed_domains)) {             
            abort(500, 'Server Error');         
        }          

        return $next($request);     
    } 
}